## exim4 4.97

=== debian/changelog ===
exim4 (4.97-4ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:12:56 +0000

exim4 (4.97-4ubuntu3) noble; urgency=medium

  * No-change rebuild against libperl5.38t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 18:19:06 +0000

exim4 (4.97-4ubuntu2) noble; urgency=medium

  * No-change rebuild against libdb5.3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Mar 2024 20:31:24 +0000

exim4 (4.97-4ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2051408). Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution
        in SMTP banner.
      + d/control: Build-Depends on lsb-release to detect Distribution.
     - Disable external SPF support to avoid Build-Depends on libspf2-dev
       (only available in universe). SPF can still be implemented via
       spf-tools-perl, as documented in exim4.conf.template. This reverts
       Vcs-Git commit 494f1fe, first released in 4.95~RC0-1.
       (LP #1952738)
       + d/control: drop Build-Depends on libspf2-dev.
       + d/EDITME.exim4-heavy.diff: disable support for libspf2.
       + d/d/c/a/30_exim4-config_check_rcpt: restore SPF logic based
         on spfquery.mail-spf-perl from spf-tools-perl, but without
         the previously supported helo detection.

 -- Bryce Harrington <bryce@canonical.com>  Fri, 26 Jan 2024 17:11:37 -0800

exim4 (4.97-4) unstable; urgency=medium

  * autopkgtest: Stop using previously deprecated swaks feature to autodetect
    whether the argument for --data was a file. This was dropped in swaks
    20240102.0.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Jan 2024 07:48:19 +0100

exim4 (4.97-3ubuntu2) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jan 2024 04:29:22 +0100

exim4 (4.97-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040379). Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution
        in SMTP banner.
      + d/control: Build-Depends on lsb-release to detect Distribution.
     - Disable external SPF support to avoid Build-Depends on libspf2-dev
       (only available in universe). SPF can still be implemented via
       spf-tools-perl, as documented in exim4.conf.template. This reverts
       Vcs-Git commit 494f1fe, first released in 4.95~RC0-1.
       (LP #1952738)
       + d/control: drop Build-Depends on libspf2-dev.
       + d/EDITME.exim4-heavy.diff: disable support for libspf2.
       + d/d/c/a/30_exim4-config_check_rcpt: restore SPF logic based
         on spfquery.mail-spf-perl from spf-tools-perl, but without
         the previously supported helo detection.
  * Dropped:
    - information disclosure
      + d/p/CVE-2023-42114.patch: fix possible OOB read in
        SPA authenticator
      [Included in 4.97~RC1-2]
    - remote code execution
      + d/p/CVE-2023-42115.patch: fix possible OOB write in
        external authenticator
      [Included in 4.97~RC1-2]
    - remote code execution
      + d/p/CVE-2023-42116.patch: fix possible OOB write in
        SPA authenticator
      [Included in 4.97~RC1-2]
    - d/p/CVE-2023-42114_15_16.patch:
      + use uschar more in spa authenticator
      [Included in 4.97~RC1-2]
    - remote code execution
      + d/p/CVE-2023-42117.patch: fixed string_is_ip_address()
        in string.c
    - information disclosure
      + d/p/CVE-2023-42119.patch: hardened dnsdb.c against
        crafted DNS responses.
      [Included in upstream release 4.97]

 -- Bryce Harrington <bryce@canonical.com>  Wed, 03 Jan 2024 12:58:30 -0800

exim4 (4.97-3) unstable; urgency=medium

  * Fixes from upstream GIT master:
    77_01-Reject-dot-LF-as-ending-data-phase.-Bug-3063.patch
    77_02-Use-enum-for-body-data-input-state-machine.patch
    77_03-Reject-dot-LF-as-ending-data-phase-pt.-2-.-Bug-3063.patch
    + Enforce a data synch check before emitting the 354 "go ahead".
      Previously this was only done if a pre-data ACL was configured.
    + Refuse to accept a line "dot, LF" as end-of-DATA unless operating in
      LF-only mode (as detected from the first header line).  Previously we
      did accept that in (normal) CRLF mode; this has been raised as a
      possible attack scenario (under the name "smtp smuggling").
    Closes: #1059387 CVE-2023-51766

 -- Andreas Metzler <ametzler@debian.org>  Mon, 25 Dec 2023 07:50:16 +0100

exim4 (4.97-2) unstable; urgency=medium

  * Add 75-04-Lookups-Fix-dnsdb-lookup-of-multi-chunk-TXT.-Bug-305.patch from
    upstream git master to fix dnsdb lookup regression. (Upstream bug 3054)
  * Due to being rebuilt with a newer debhelper exim4-base.service
    and exim4-base.timer move to /usr/lib/systemd/.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Nov 2023 13:02:52 +0100

exim4 (4.97-1) unstable; urgency=medium

  * Drop reference to QUEUEINTERVAL from conf.d/retry/30_exim4-config.
    (Thanks, Vincent Lefevre!) Closes: #1054492
  * New upstream version.
    + Update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Nov 2023 18:28:43 +0100

exim4 (4.97~RC3-1) unstable; urgency=medium

  * New upstream version, drop patches pulled from master.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 Oct 2023 07:31:26 +0200

exim4 (4.97~RC2-2) unstable; urgency=high

  * 76_changesfrom_4.96.2.diff: Pull fixes for CVE-2023-42117 and
    CVE-2023-42119 from upstream GIT master. Closes: #1053310

 -- Andreas Metzler <ametzler@debian.org>  Mon, 16 Oct 2023 18:26:40 +0200

exim4 (4.97~RC2-1) unstable; urgency=low

  * Generate /etc/default/exim4 in exim4-config.postinst instead of
    /etc/default/exim. Closes: #1053788
  * Also remove the unused file and generate the correct one if missing.
  * New upstream version.
    + Drop 75-01-Auths*.diff.


=== debian/control ===
# * -base and daemon of the same upstream version enforced by a Breaks
#   in -base and a versioned Depends of the daemon-packages on -base
# * -base depends on -config, without automatic versioning.
Source: exim4
Section: mail
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
Uploaders:
 Andreas Metzler <ametzler@debian.org>,
 Marc Haber <mh+debian-packages@zugschlus.de>,
Homepage: https://www.exim.org/
Standards-Version: 4.6.2
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/exim-team/exim4.git
Vcs-Browser: https://salsa.debian.org/exim-team/exim4
Build-Depends:
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 docbook-xml,
 docbook-xsl,
 libdb5.3-dev,
 libfile-fcntllock-perl,
 libgnutls28-dev (>= 3.5.7),
 libident-dev,
 libidn-dev,
 libidn2-dev,
 libldap2-dev,
 libpam0g-dev,
 libpcre2-dev,
 libperl-dev,
 libpq-dev,
 libsasl2-dev,
 libsqlite3-dev,
 libx11-dev,
 libxaw7-dev,
 libxext-dev,
 libxmu-dev,
 libxt-dev,
 lynx,
 po-debconf,
 xsltproc,
 lsb-release

Package: exim4-base
Architecture: any
Priority: optional
Breaks:
 exim4-daemon-custom (<<${Upstream-Version}),
 exim4-daemon-heavy (<<${Upstream-Version}),
 exim4-daemon-light (<<${Upstream-Version}),
Conflicts:
 exim,
 exim-tls,
Replaces:
 exim,
 exim-tls,
 exim4-daemon-custom,
 exim4-daemon-heavy,
 exim4-daemon-light,
Depends:
 adduser,
 cron | cron-daemon | anacron | systemd-sysv,
 exim4-config (>=4.94) | exim4-config-2,
 libfile-fcntllock-perl,
 netbase,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
# psmisc just for exiwhat.
# mailx for cronjob
Recommends:
 bsd-mailx | mailx,
 psmisc,
Suggests:
 exim4-doc-html | exim4-doc-info,
 eximon4,
 file,
 gnutls-bin | openssl,
 mail-reader,
 spf-tools-perl,
 swaks,
Description: support files for all Exim MTA (v4) packages
 Exim (v4) is a mail transport agent. exim4-base provides the support
 files needed by all exim4 daemon packages. You need an additional package
 containing the main executable. The available packages are:
 .
  exim4-daemon-light
  exim4-daemon-heavy
 .
 If you build exim4 from the source package locally, you can also
 build an exim4-daemon-custom package tailored to your own feature set.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-config
Architecture: all
Priority: optional
Breaks:
 exim4-daemon-heavy (<< 4.94),
 exim4-daemon-light (<< 4.94),
Provides:
 exim4-config-2,
Conflicts:
 exim,
 exim-tls,
 exim4-config,
 exim4-config-2,
 ${MTA-Conflicts},
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ca-certificates,
Description: configuration for the Exim MTA (v4)
 Exim (v4) is a mail transport agent. exim4-config provides the configuration
 for the exim4 daemon packages. The configuration framework has been split
 off the main package to allow sites to replace the configuration scheme
 with their own without having to change the actual exim4 packages.
 .
 Sites with special configuration needs (having a lot of identically
 configured machines for example) can use this to distribute their own
 custom configuration via the packaging system, using the magic
 available with dpkg's conffile handling, without having to do local
 changes on all of these machines.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-light
Architecture: any
Priority: optional
Provides:
 mail-transport-agent,
 ${dist:Provides:exim4-daemon-light},
 ${localscanabiversion},
Conflicts:
 mail-transport-agent,
Replaces:
 exim4-base (<= 4.61-1),
 mail-transport-agent,
Depends:
 exim4-base (>= ${Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: lightweight Exim MTA (v4) daemon
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with only basic features enabled. It works well with the
 standard setups that are provided by Debian and includes support for
 TLS encryption and the dlopen patch to allow dynamic loading of a
 local_scan function.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4
Architecture: all
Priority: optional
Depends:
 debconf (>= 1.4.69) | cdebconf (>= 0.39),
 exim4-base (<< ${source:Version}.1),
 exim4-base (>= ${source:Version}),
 exim4-daemon-light (>= ${source:Version}) | exim4-daemon-heavy (>= ${source:Version}) | exim4-daemon-custom (>= ${source:Version}),
 ${misc:Depends},
Description: metapackage to ease Exim MTA (v4) installation
 Exim (v4) is a mail transport agent. exim4 is the metapackage depending
 on the essential components for a basic exim4 installation.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-heavy
Architecture: any
Priority: optional
Provides:
 mail-transport-agent,
 ${localscanabiversion},
Conflicts:
 mail-transport-agent,
Replaces:
 exim4-base (<= 4.61-1),
 mail-transport-agent,
Depends:
 exim4-base (>= ${Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 clamav-daemon (<< 0.95),
Description: Exim MTA (v4) daemon with extended features, including exiscan-acl
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with extended features. In addition to the features already
 supported by exim4-daemon-light, exim4-daemon-heavy includes LDAP,
 sqlite, PostgreSQL and MySQL data lookups, SASL and SPA SMTP authentication,
 embedded Perl interpreter, and the content scanning extension
 (formerly known as "exiscan-acl") for integration of virus scanners
 and spamassassin.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

#Package: exim4-daemon-custom
#Architecture: any
#Priority: optional
#Provides: ${localscanabiversion}, mail-transport-agent
#Conflicts: mail-transport-agent
#Replaces: exim4-base (<= 4.61-1), mail-transport-agent
#Depends:
# exim4-base (>= ${Upstream-Version}),
# ${misc:Depends},
# ${shlibs:Depends}
#Description: custom Exim MTA (v4) daemon with locally set features
# Exim (v4) is a mail transport agent. This package contains a
# custom-configured exim4 daemon compiled to local needs. This package
# is not part of official Debian, but can easily be built from the
# Debian source package. For information about the feature set compiled in,
# and for bug reports, please find out who built your package.
# .
# The Debian exim4 packages have their own web page,
# http://wiki.debian.org/PkgExim4. There is also a Debian-specific
# FAQ list. Information about the way the Debian packages are
# configured can be found in
# /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
# information about the way the Debian binary packages are built. The
# very extensive upstream documentation is shipped in
# /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
# configuration process in a standard setup, invoke dpkg-reconfigure
# exim4-config. There is a Debian-centered mailing list,
# pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
# questions there, and only write to the upstream exim-users mailing
# list if you are sure that your question is not Debian-specific. You
# can find the subscription web page on
# http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: eximon4
Architecture: any
Priority: optional
Conflicts:
 eximon,
Replaces:
 eximon,
Depends:
 exim4-base (>= 4.10),
 ${misc:Depends},
 ${shlibs:Depends},
Description: monitor application for the Exim MTA (v4) (X11 interface)
 Eximon is a helper program for the Exim MTA (v4). It allows
 administrators to view the mail queue and logs, and perform a variety
 of actions on queued messages, such as freezing, bouncing and thawing
 messages.

Package: exim4-dev

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for exim4
# This file is public domain software, originally written by Joey Hess.
#
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# avoid uname -m detection
ifdef DEB_TARGET_GNU_CPU
export EXIM_ARCHTYPE = $(DEB_TARGET_GNU_CPU)
else
export EXIM_ARCHTYPE = $(shell dpkg-architecture -qDEB_TARGET_GNU_CPU)
endif

buildname = $(shell scripts/os-type)-$(shell scripts/arch-type)
DEBIAN =    $(CURDIR)/debian

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

EXIM4VERSIONLOCALSCAN = \
	$(shell sed -rn \
	's/^\s*.define LOCAL_SCAN_ABI_VERSION_(MAJOR|MINOR)\s*([0-9]+).*/\2/p' \
	src/local_scan.h | \
	{ read MAJOR; read MINOR; echo $${MAJOR}.$${MINOR} ; }\
	)

# The build system ignores CPPFLAGS, append them to CFLAGS
CFLAGS += $(shell getconf LFS_CFLAGS) -D_LARGEFILE_SOURCE \
	  -fno-strict-aliasing -Wall $(CPPFLAGS)
export CFLAGS
# LFLAGS is used where GNU would use LDFLAGS
export LFLAGS = $(LDFLAGS)

LC_ALL=C
export LC_ALL

# If you want to build a daemon with a configuration tailored to YOUR special
# needs, uncomment the exim4-daemon-custom package in debian/control,
# call "debian/rules unpack-configs", copy EDITME.exim4-light to
# EDITME.exim4-custom and modify it, then call "debian/rules pack-configs".
#
# Afterwards EITHER uncomment the customdaemon definition below, or set it
# to the desired value via the environment.
# e.g run:
# env customdaemon=exim4-daemon-custom dpkg-buildpackage -uc -us
#
# If you want to create multiple custom packages with different names, use
# the script debian/create-custom-package [suffix].

# customdaemon = exim4-daemon-custom
daemons = exim4-daemon-light exim4-daemon-heavy $(customdaemon)

# If you want to build with OpenSSL instead of GnuTLS, uncomment this
# OPENSSL:=1
# Please note that building exim4-daemon-heavy with OpenSSL is a GPL
# violation.

PROVIDE_DEFAULT_MTA = $(shell if dpkg-vendor --is Ubuntu || \
	dpkg-vendor --derives-from Ubuntu ; then : ; else \
	echo "default-mta" ; fi)
# for reproducible build. If set exim would use $TZ as default value for
# TIMEZONE_DEFAULT
undefine TZ
unexport TZ


unpack-configs: unpack-configs-stamp

unpack-configs-stamp: src/EDITME exim_monitor/EDITME
	patch -o EDITME.eximon exim_monitor/EDITME \
		$(DEBIAN)/EDITME.eximon.diff
	patch -o EDITME.exim4-light src/EDITME \
		$(DEBIAN)/EDITME.exim4-light.diff
ifdef OPENSSL
	patch EDITME.exim4-light $(DEBIAN)/EDITME.openssl.exim4-light.diff
endif
	for editme in $(DEBIAN)/EDITME.exim4-*.diff; do \
	  if [ "$$editme" != "$(DEBIAN)/EDITME.exim4-light.diff" ]; then \
	    TARGETNAME=`basename $$editme .diff`; \
	    echo patch -o $$TARGETNAME EDITME.exim4-light $$editme; \
	    patch -o $$TARGETNAME EDITME.exim4-light $$editme || \
	    exit $$? ;\
	  fi; \
	done
	touch unpack-configs-stamp

pack-configs:
	-diff -u src/EDITME EDITME.exim4-light \
		> $(DEBIAN)/EDITME.exim4-light.diff
	-for editme in EDITME.exim4-*; do \
	  if [ "$$editme" != "EDITME.exim4-light" ]; then \
	    echo diff -u EDITME.exim4-light $$editme; \
	    diff -u EDITME.exim4-light $$editme > $(DEBIAN)/$${editme}.diff; \
	  fi; \
	done
	-diff -u exim_monitor/EDITME EDITME.eximon \
		> $(DEBIAN)/EDITME.eximon.diff

bdir-stamp: unpack-configs-stamp
	for i in $(daemons) ; do \
		mkdir b-$$i && \
		find . -mindepth 1 -maxdepth 1 \
		-name debian -prune -o \
		-name 'b-*' -o -print0 | \
		xargs --no-run-if-empty --null \
		cp -a --target-directory=b-$$i ; \
	done
	touch $@

override_dh_auto_configure: unpack-configs-stamp bdir-stamp
	for i in $(daemons) ; do \
		mkdir -p b-$$i/Local && \
		cp EDITME.`echo $$i | sed -e s/exim4-daemon/exim4/` \
		b-$$i/Local/Makefile && \
		cp EDITME.eximon b-$$i/Local/eximon.conf ;\
		done

override_dh_auto_build:
	set -e ; for i in $(daemons) ; do \
		echo building $$i; \
		cd $(CURDIR)/b-$$i && \
		$(MAKE) FULLECHO='' ; \
		done
	# Which version of Berkeley DB are we building against?
	printf '#include <db.h>\ninstdbversionis DB_VERSION_MAJOR DB_VERSION_MINOR\n' | \
		cpp -P | grep instdbversionis |\
		sed -e 's/[[:space:]]*instdbversionis[[:space:]]//' \
		-e 's/[[:space:]][[:space:]]*/./' \
		-e 's_^_s/^BDBVERSION=.*/BDBVERSION=_' \
		-e 's_$$_/_' \
		> $(DEBIAN)/berkeleydb.sed
	# Store Berkeley DB version in postinst script.
	sed -i -f $(DEBIAN)/berkeleydb.sed \
		$(DEBIAN)/exim4-base.postinst
	# symlink identical maintainerscripts
	for i in `echo $(daemons) | sed -e s/exim4-daemon-light//` ; do \
		ln -sfv exim4-daemon-light.prerm \
			"$(DEBIAN)/$$i.prerm" ; \
		ln -sfv exim4-daemon-light.postinst \
			"$(DEBIAN)/$$i.postinst" ; \
		ln -sfv exim4-daemon-light.exim4.service \
			"$(DEBIAN)/$$i.exim4.service" ; \
	done

override_dh_auto_install-arch: debian/README.Debian
	cd b-exim4-daemon-light && \
	  $(MAKE) install FULLECHO='' \
		INSTALL_ARG=-no_symlink \
		inst_conf=$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf \
		inst_aliases=$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/aliases \
		inst_dest=$(DEBIAN)/exim4-base/usr/sbin
	if [ -e "$(DEBIAN)/example.conf.md5" ] && [ "$$(< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum)" != "$$(cat $(DEBIAN)/example.conf.md5)" ] ; then \
	  echo "upstream example configuration has changed, new md5sum:"; \
	  < $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum; \
	  echo "aborting build."; \
	  exit 1; \
	fi
	< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum > $(DEBIAN)/example.conf.md5
	sed -e 's,/[a-zA-Z/0-9.-]*exim4-base/examples/,/etc/,' \
		< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf \
		> $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf.tmp
	mv $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf.tmp \
		$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf
	install -m755 b-exim4-daemon-light/build-$(buildname)/convert4r4 \
		$(DEBIAN)/exim4-base/usr/sbin/exim_convert4r4
	install -m755 \
		b-exim4-daemon-light/build-$(buildname)/transport-filter.pl \
		b-exim4-daemon-light/util/ratelimit.pl \
		$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples
	rm $(DEBIAN)/exim4-base/usr/sbin/exim
	mv $(DEBIAN)/exim4-base/usr/sbin/eximon \
		$(DEBIAN)/eximon4/usr/sbin
	mv $(DEBIAN)/exim4-base/usr/sbin/eximon.bin \
		$(DEBIAN)/eximon4/usr/libexec/exim4
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/exim4-base/usr/sbin/exipick \
		$(DEBIAN)/exim4-base/usr/share/man/man8/exipick.8
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/exim4-base/usr/sbin/eximstats \
		$(DEBIAN)/exim4-base/usr/share/man/man8/eximstats.8
	install -m755 $(DEBIAN)/syslog2eximlog $(DEBIAN)/exim4-base/usr/sbin/
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/syslog2eximlog \
		$(DEBIAN)/exim4-base/usr/share/man/man8/syslog2eximlog.8
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/exim4-base/usr/sbin/exim_msgdate \
		$(DEBIAN)/exim4-base/usr/share/man/man8/exim_msgdate.8
	for i in b-exim4-daemon-*/build-$(buildname)/exim ; do \
		install -m4755 -oroot -groot $$i \
		$(DEBIAN)/`echo $$i | sed -e 's/^b-//' -e 's_/.*__'`/usr/sbin/exim4 ; \
		done

override_dh_auto_install-indep: debian/README.Debian
	# if you change anything here, you will have to change
	# config-custom/debian/rules as well
	sed -e \
	"s/^UPEX4C_version=\"\"/UPEX4C_version=\"$(DEB_VERSION)\"/" \
	< $(DEBIAN)/debconf/update-exim4.conf \
	> $(DEBIAN)/exim4-config/usr/sbin/update-exim4.conf
	chmod 755 $(DEBIAN)/exim4-config/usr/sbin/update-exim4.conf

	cd $(DEBIAN)/debconf/conf.d && \
		tar cf - `find \( -path '*/.svn/*' -prune \) -or \
		\( -type f -print \)` | \
		{ cd $(DEBIAN)/exim4-config/etc/exim4/conf.d/ && \
		tar xf - ; }

	install -m644 $(DEBIAN)/email-addresses $(DEBIAN)/exim4-config/etc/
	install -m640 -oroot -groot $(DEBIAN)/passwd.client \
		$(DEBIAN)/exim4-config/etc/exim4/
	chmod 755 $(DEBIAN)/debconf/update-exim4.conf.template

## exim4 4.98

=== debian/changelog ===
exim4 (4.98-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Dec 2024 08:00:11 +0100

exim4 (4.98-3) unstable; urgency=low

  * Manpage formatting fixes by Bjarni Ingi Gislason:
    exim4-config_files.5 Closes: #1082620
    exim_db.8            Closes: #1087135
    exim_dbmbuild.8      Closes: #1087139
    exiwhat.8            Closes: #1087225
  * Extract non-lintish changes from patches for pod2man-generated manpages.
    Closes: #1087172,#1087206,#1087222
  * Cherrypick patches from upstream GIT master:
    + 77-Fix-IP-SRR-parsing.-Bug-3124.patch: Fix theoretical crash in
      received connection, triggerable by a crafted packet with massive
      count of IP options. https://bugs.exim.org/show_bug.cgi?id=3124
    + Fix for DKIM smuggling attack.
      78-DKIM-fix-verify-of-malformed-header-lines.-Bug-3036.patch
      https://bugs.exim.org/show_bug.cgi?id=3036
  * Move tls_advertise_hosts setting outside (misnamed) .ifdef
    MAIN_TLS_ENABLE to ease disabling of incoming TLS. Also make
    README.Debian more explicit in this respect. Closes: #1089517
  * Remove Marc Haber from uploaders. - Thank you for your work!
  * Run wrap-and-sort -ast.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Dec 2024 16:47:07 +0100

exim4 (4.98-2) unstable; urgency=low

  * Also run update-exim4.conf on systemd daemon reload. Closes: #1077034
  * Use --allow-bad-names instead of --force-badname when invoking adduser.
  * Cherry-pick patches from upstream git master / bugzilla:
    + 73_Fix-SPA-authenticator.-Bug-3106.patch
      https://bugs.exim.org/show_bug.cgi?id=3106
    + 74_DKIM-fix-parsing-of-pubkey-RR.patch
      https://bugs.exim.org/show_bug.cgi?id=3120
    + 75_dkim_sign.patch https://bugs.exim.org/show_bug.cgi?id=3116
      Closes: #1082905

 -- Andreas Metzler <ametzler@debian.org>  Sat, 19 Oct 2024 11:54:30 +0200

exim4 (4.98-1) unstable; urgency=medium

  * New stable release, almost identical to RC3.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 11 Jul 2024 07:41:31 +0200

exim4 (4.98~RC3-2) unstable; urgency=medium

  * Upload to unstable.
  * RC3 fixes CVE-2024-39929 Closes: #1075785

 -- Andreas Metzler <ametzler@debian.org>  Fri, 05 Jul 2024 18:06:31 +0200

exim4 (4.98~RC3-1) experimental; urgency=low

  * New upstream release candidate.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 03 Jul 2024 18:21:36 +0200

exim4 (4.98~RC2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Jun 2024 18:23:00 +0200

exim4 (4.98~RC1-1) experimental; urgency=low

  * New upstream release candidate.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Jun 2024 11:05:49 +0200

exim4 (4.98~RC0-1) experimental; urgency=low

  * Add minimal gbp.conf.
  * New upstream release candidate.
    + Drop cherry-picked patches, unfuzz 90_localscan_dlopen.dpatch.
    + Fixes hurd FTBFS. Closes: #1070396
    + Refresh debian/EDITME*
    + Add lintian-override for bash-term-in-posix-shell false positive in
      exinext sh/perl script.
  * Add NEWS entry to 4.97-1 regarding exiqgrep requiring at least one
    selection option and point to exim's -bpi option. Closes: #1027968
  * Ship newly available mailtest utility in exim4-base.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 Jun 2024 13:40:06 +0200

exim4 (4.97-8) unstable; urgency=medium

  * Pull fixes from upstream GIT master:
    + 78_35-Fix-encoding-for-AUTH-on-MAIL-FROM.patch
    + 78_37-Logging-fix-receive-time-crash-with-recipients-loggi.patch
    + 78_39-SRS-fix-encode-for-local-part-with-zero-length-quote.patch (exim
      bug #3087)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Apr 2024 07:50:45 +0200

exim4 (4.97-7) unstable; urgency=medium

  * Pull fixes from upstream GIT master:
    + 78_30-Rewrites-fix-delivery-crash-from-constant-errors_to..patch (exim
      bug #3081)
    + 78_31-Lookups-fix-dbmnz-crash-on-zero-length-datum.-Bug-30.patch (exim
      bug #3079)
  * Update lintian overrides.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 01 Apr 2024 10:45:05 +0200

exim4 (4.97-6) unstable; urgency=high

  * Add b-d on libnsl-dev to fix (temporary) FTBFS. Closes: #1065107
  * Pull fixes from upstream GIT master:
    78_10-Use-non-releaseable-memory-for-regex-match-strings.-.patch
    78_11-use-dynamic-mem-for-regex_match_string.patch
    78_12-Use-non-releasable-memory-for-regex-line-buffer.patch
    78_15-regex-avoid-releasing-built-RE-midloop.patch
    78_21-Lookups-avoid-leaking-user-passwd-from-server-spec-t.patch
    78_23-Fix-crash-on-empty-oMt-argument.-Bug-3070.patch
  * 78_06, 78_07, 78_10, 78_11, 78_12 and 78_15 together Closes: #1053447

 -- Andreas Metzler <ametzler@debian.org>  Fri, 01 Mar 2024 18:09:49 +0100

exim4 (4.97-5) unstable; urgency=low

  * Multiple fixes from upstream GIT master:
    + 73_Check-for-missing-commandline-arg-after-options-taki.patch (upstream
      bug #3049)
    + 76_01-Support-old-format-message_id-spoolfiles-for-mailq-b.patch
      (upstream bug #3050)
    + 76_05-Fix-periodic-queue-runs.-Bug-3046.patch (upstream bug #3046)
    + 78_01-Fix-recipient-or-source-selection-in-combination-wit.patch
      (upstream bug #3064)
    + 78_02-Eximon-handle-new-format-message-IDs.patch (upstream bug #)
    + 78_03-Lookups-log-warning-for-deprecated-syntax.-Bug-3068.patch
      (upstream bug #3068)
    + 78_04-Exinext-handle-new-format-message-IDs.patch
    + 78_05-TLS-fix-startup-after-forced-fail.patch (upstream bug #)
    + 78_06-Appendfile-release-regex-match-store-every-thousand-.patch
      (upstream bug #3047)
    + 78_07-ACL-in-regex-condition-release-store-every-thousand-.patch
      (upstream bug #3047)
    + 78_08-Fix-smtp-transport-response-to-close-after-all-rcpt-.patch
      (upstream bug #3059)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Jan 2024 14:08:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,11 @@
 Source: exim4
 Section: mail
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
+Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
- Marc Haber <mh+debian-packages@zugschlus.de>,
 Homepage: https://www.exim.org/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/exim-team/exim4.git
 Vcs-Browser: https://salsa.debian.org/exim-team/exim4
@@ -26,11 +24,13 @@
  libidn-dev,
  libidn2-dev,
  libldap2-dev,
+ libnsl-dev,
  libpam0g-dev,
  libpcre2-dev,
  libperl-dev,
  libpq-dev,
  libsasl2-dev,
+ libspf2-dev,
  libsqlite3-dev,
  libx11-dev,
  libxaw7-dev,
@@ -40,7 +40,6 @@
  lynx,
  po-debconf,
  xsltproc,
- lsb-release
 
 Package: exim4-base
 Architecture: any
@@ -316,3 +315,8 @@
  messages.
 
 Package: exim4-dev
+Architecture: any
+Priority: optional
+Depends:
+ ${misc:Depends},
+Description: header files for the Exim MTA (v4) packages

## exim4 4.98.1

=== src/lookups/Makefile ===
# Make file for building Exim's lookup modules.
# This is called from the main make file, after cd'ing
# to the lookups subdirectory.
#
# Copyright (c) The Exim Maintainers 2021

# nb: at build time, the version of this file used will have had some
#     extra variable definitions and prepended to it and module build rules
#     interpolated below.

# MAGIC-TAG-MODS-OBJ-RULES-GO-HERE


all:             lookups.a lf_quote.o lf_check_file.o lf_sqlperform.o $(MODS)

lookups.a:       $(OBJ)
		 @$(RM_COMMAND) -f lookups.a
		 @echo "$(AR) lookups.a"
		 @$(AR) lookups.a $(OBJ)
		 $(RANLIB) $@

.SUFFIXES:       .o .c .so
.c.o:;           @echo "$(CC) $*.c"
		 $(FE)$(CC) -c $(CFLAGS) $(INCLUDE) $*.c

.c.so:;          @echo "$(CC) -shared $*.c"
		 $(FE)$(CC) $(LOOKUP_$*_INCLUDE) $(LOOKUP_$*_LIBS) -DDYNLOOKUP $(CFLAGS_DYNAMIC) $(CFLAGS) $(INCLUDE) $(DLFLAGS) $*.c -o $@

lf_check_file.o: $(HDRS) lf_check_file.c  lf_functions.h
lf_quote.o:      $(HDRS) lf_quote.c       lf_functions.h
lf_sqlperform.o: $(HDRS) lf_sqlperform.c  lf_functions.h

cdb.o:           $(HDRS) cdb.c
dbmdb.o:         $(HDRS) dbmdb.c
dnsdb.o:         $(HDRS) dnsdb.c
dsearch.o:       $(HDRS) dsearch.c
ibase.o:         $(HDRS) ibase.c
ldap.o:          $(HDRS) ldap.c
lmdb.o:          $(HDRS) lmdb.c
json.o:          $(HDRS) json.c
lsearch.o:       $(HDRS) lsearch.c
mysql.o:         $(HDRS) mysql.c
nis.o:           $(HDRS) nis.c
nisplus.o:       $(HDRS) nisplus.c
oracle.o:        $(HDRS) oracle.c
passwd.o:        $(HDRS) passwd.c
pgsql.o:         $(HDRS) pgsql.c
readsock.o:      $(HDRS) readsock.c
redis.o:         $(HDRS) redis.c
spf.o:           $(HDRS) spf.c
sqlite.o:        $(HDRS) sqlite.c
testdb.o:        $(HDRS) testdb.c
whoson.o:        $(HDRS) whoson.c

cdb.so:           $(HDRS) cdb.c
dbmdb.so:         $(HDRS) dbmdb.c
dnsdb.so:         $(HDRS) dnsdb.c
dsearch.so:       $(HDRS) dsearch.c
ibase.so:         $(HDRS) ibase.c
json.so:          $(HDRS) json.c
ldap.so:          $(HDRS) ldap.c
lmdb.so:          $(HDRS) lmdb.c
lsearch.so:       $(HDRS) lsearch.c
mysql.so:         $(HDRS) mysql.c
nis.so:           $(HDRS) nis.c
nisplus.so:       $(HDRS) nisplus.c
oracle.so:        $(HDRS) oracle.c
passwd.so:        $(HDRS) passwd.c
pgsql.so:         $(HDRS) pgsql.c
redis.so:         $(HDRS) redis.c
spf.so:           $(HDRS) spf.c
sqlite.so:        $(HDRS) sqlite.c
testdb.so:        $(HDRS) testdb.c
whoson.so:        $(HDRS) whoson.c

# End

=== debian/changelog ===
exim4 (4.98.1-1ubuntu2) plucky; urgency=medium

  * SECURITY UPDATE: use-after-free security issue
    - debian/patches/CVE-2025-30232.patch: null out debug_pretrigger_buf
      pointer before freeing the buffer in src/debug.c.
    - CVE-2025-30232

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 28 Mar 2025 07:18:19 -0400

exim4 (4.98.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution
        in SMTP banner.
      + d/control: Build-Depends on lsb-release to detect Distribution.
    - Disable external SPF support to avoid Build-Depends on libspf2-dev
      (only available in universe). SPF can still be implemented via
      spf-tools-perl, as documented in exim4.conf.template. This reverts
      Vcs-Git commit 494f1fe, first released in 4.95~RC0-1.
      (LP #1952738)
      + d/control: drop Build-Depends on libspf2-dev.
      + d/EDITME.exim4-heavy.diff: disable support for libspf2.
      + d/d/c/a/30_exim4-config_check_rcpt: restore SPF logic based
        on spfquery.mail-spf-perl from spf-tools-perl, but without
        the previously supported helo detection.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 23 Mar 2025 10:10:54 -0500

exim4 (4.98.1-1) unstable; urgency=medium

  * Refresh upstream keys from
    https://downloads.exim.org/Exim-Maintainers-Keyring.asc
  * New upstream version (Basically identical to 4.98 +
    81_Squashed-from-fix-cve-2025-26794-fixes-CVE-26794.patch)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Mar 2025 13:41:07 +0100

exim4 (4.98-4ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution
        in SMTP banner.
      + d/control: Build-Depends on lsb-release to detect Distribution.
    - Disable external SPF support to avoid Build-Depends on libspf2-dev
      (only available in universe). SPF can still be implemented via
      spf-tools-perl, as documented in exim4.conf.template. This reverts
      Vcs-Git commit 494f1fe, first released in 4.95~RC0-1.
      (LP #1952738)
      + d/control: drop Build-Depends on libspf2-dev.
      + d/EDITME.exim4-heavy.diff: disable support for libspf2.
      + d/d/c/a/30_exim4-config_check_rcpt: restore SPF logic based
        on spfquery.mail-spf-perl from spf-tools-perl, but without
        the previously supported helo detection.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Mar 2025 20:37:23 -0600

exim4 (4.98-4) unstable; urgency=high

  * Cherry-pick patches from upstream git master:
    + 79_Dovecot-fix-protocol-sequence-for-version-2.4.0.patch (Compliance
      with upcoming dovecot v1.3 auth protocol)
  * Use default 550 message in lowuid_aliases router ("Unrouteable address"
    instead of "no mail to system accounts") to avoid disclosing information on
    installed packages. Closes: #1092910
  * 81_Squashed-from-fix-cve-2025-26794-fixes-CVE-26794.patch: Upgrade to
    4.98.1, fixing CVE-2025-26794. This is a SQL injection for the
    (Sqlite-)hints database with ETRN. Debian binaries do not yet use sqlite
    for the hints DB so this just only affects users building their own
    binaries from sources and switching to sqlite-hints-DB.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Feb 2025 14:02:27 +0100

exim4 (4.98-3ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution
        in SMTP banner.
      + d/control: Build-Depends on lsb-release to detect Distribution.
    - Disable external SPF support to avoid Build-Depends on libspf2-dev
      (only available in universe). SPF can still be implemented via
      spf-tools-perl, as documented in exim4.conf.template. This reverts
      Vcs-Git commit 494f1fe, first released in 4.95~RC0-1.
      (LP #1952738)
      + d/control: drop Build-Depends on libspf2-dev.
      + d/EDITME.exim4-heavy.diff: disable support for libspf2.
      + d/d/c/a/30_exim4-config_check_rcpt: restore SPF logic based
        on spfquery.mail-spf-perl from spf-tools-perl, but without
        the previously supported helo detection.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 18 Feb 2025 16:02:29 -0600

exim4 (4.98-2ubuntu2) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:45:41 -0500

exim4 (4.98-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085230). Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution
        in SMTP banner.
      + d/control: Build-Depends on lsb-release to detect Distribution.
    - Disable external SPF support to avoid Build-Depends on libspf2-dev
      (only available in universe). SPF can still be implemented via
      spf-tools-perl, as documented in exim4.conf.template. This reverts
      Vcs-Git commit 494f1fe, first released in 4.95~RC0-1.
      (LP #1952738)
      + d/control: drop Build-Depends on libspf2-dev.
      + d/EDITME.exim4-heavy.diff: disable support for libspf2.
      + d/d/c/a/30_exim4-config_check_rcpt: restore SPF logic based
        on spfquery.mail-spf-perl from spf-tools-perl, but without
        the previously supported helo detection.

 -- Bryce Harrington <bryce@canonical.com>  Wed, 27 Nov 2024 15:42:06 -0800

exim4 (4.98-1ubuntu3) plucky; urgency=medium

  * No-change rebuild for libperl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 14:32:42 +0200

exim4 (4.98-1ubuntu2) oracular; urgency=medium

  * No-change rebuild against debhelper 13.18ubuntu2 from -proposed
    (LP: #2077407)

 -- Bryce Harrington <bryce@canonical.com>  Sun, 15 Sep 2024 13:41:05 -0700



=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Source: exim4
 Section: mail
 Priority: standard
-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
 Homepage: https://www.exim.org/
@@ -30,7 +31,6 @@
  libperl-dev,
  libpq-dev,
  libsasl2-dev,
- libspf2-dev,
  libsqlite3-dev,
  libx11-dev,
  libxaw7-dev,
@@ -40,6 +40,7 @@
  lynx,
  po-debconf,
  xsltproc,
+ lsb-release
 
 Package: exim4-base
 Architecture: any
@@ -318,5 +319,3 @@
 Architecture: any
 Priority: optional
 Depends:
- ${misc:Depends},
-Description: header files for the Exim MTA (v4) packages

## exim4 4.98.2

=== debian/changelog ===
exim4 (4.98.2-1ubuntu2) questing; urgency=medium

  * d/p/Fix-build-error-with-gcc-15.patch: fix eximon ftbfs with gcc-15
    Closes: #1096601 (LP: #2124274)

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 17 Sep 2025 18:33:26 +0530

exim4 (4.98.2-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution
        in SMTP banner.
      + d/control: Build-Depends on lsb-release to detect Distribution.
    - Disable external SPF support to avoid Build-Depends on libspf2-dev
      (only available in universe). SPF can still be implemented via
      spf-tools-perl, as documented in exim4.conf.template. This reverts
      Vcs-Git commit 494f1fe, first released in 4.95~RC0-1.
      (LP #1952738)
      + d/control: drop Build-Depends on libspf2-dev.
      + d/EDITME.exim4-heavy.diff: disable support for libspf2.
      + d/d/c/a/30_exim4-config_check_rcpt: restore SPF logic based
        on spfquery.mail-spf-perl from spf-tools-perl, but without
        the previously supported helo detection.

 -- Bryce Harrington <bryce@canonical.com>  Thu, 12 Jun 2025 00:44:26 -0700

exim4 (4.98.2-1) unstable; urgency=medium

  * New upstream version (Basically identical to 4.98,1 + CVE-2025-30232 fix)
  * Unfuzz patches.
  * Add export-dir setting to gbp.conf.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 Mar 2025 13:22:55 +0100

exim4 (4.98.1-2) unstable; urgency=high

  * Fix use-after-free  (requiring local command-line access) notified by
    Trend Micro (ref: ZDI-CAN-26250). this is 4.98.2 without the version
    number bump. CVE-2025-30232

 -- Andreas Metzler <ametzler@debian.org>  Fri, 21 Mar 2025 15:32:31 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
 Homepage: https://www.exim.org/
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/exim-team/exim4.git
 Vcs-Browser: https://salsa.debian.org/exim-team/exim4

=== debian/rules ===
--- 
+++ 
@@ -174,6 +174,11 @@
 		$(DEBIAN)/eximon4/usr/sbin
 	mv $(DEBIAN)/exim4-base/usr/sbin/eximon.bin \
 		$(DEBIAN)/eximon4/usr/libexec/exim4
+	install -m755 b-exim4-daemon-light/util/mailtest \
+		$(DEBIAN)/exim4-base/usr/bin/
+	pod2man --center=EXIM4 --section=1 \
+		$(DEBIAN)/exim4-base/usr/bin/mailtest \
+		$(DEBIAN)/exim4-base/usr/share/man/man1/mailtest.1
 	pod2man --center=EXIM4 --section=8 \
 		$(DEBIAN)/exim4-base/usr/sbin/exipick \
 		$(DEBIAN)/exim4-base/usr/share/man/man8/exipick.8
@@ -207,7 +212,3 @@
 		{ cd $(DEBIAN)/exim4-config/etc/exim4/conf.d/ && \
 		tar xf - ; }
 
-	install -m644 $(DEBIAN)/email-addresses $(DEBIAN)/exim4-config/etc/
-	install -m640 -oroot -groot $(DEBIAN)/passwd.client \
-		$(DEBIAN)/exim4-config/etc/exim4/
-	chmod 755 $(DEBIAN)/debconf/update-exim4.conf.template

## exim4 4.99~RC1

=== debian/changelog ===
exim4 (4.99~RC1-1) experimental; urgency=low

  * Point watchfile to test release.
  * New upstream version.
    + Unfuzz patches, drop superfluous patches.
    * convert4r4 was dropped upstream, update docs and packaging.
    * Ancient upgrading docs wer also dropped upstream, adapt packaging.
    * Update build-time config (EDITME*).
    * Bump copyright year.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 03 Sep 2025 18:32:12 +0200

exim4 (4.98.2-2) unstable; urgency=medium

  * Set current_directory = /var/mail in mail_spool transport.
    Closes: #1106865
  * Fix eximon FTBFS with gcc-15. Closes: #1096601

 -- Andreas Metzler <ametzler@debian.org>  Thu, 14 Aug 2025 13:58:16 +0200

## exim4 4.99~RC2

=== debian/changelog ===
exim4 (4.99~RC2-1) experimental; urgency=medium

  * Fold overlong lines when sending paniclog excerpts by mail. (Thanks,
    Célestin Matte) Closes: #1115604
  * New upstream version.
  * Do not DKIM-oversign empty Resent-* and List-* headers.
    This is minimal change to avoid bad settings, an optimal setting might
    look different. (Closes: #939808)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Sep 2025 14:01:35 +0200

exim4 (4.12-0.0.16) u

=== debian/rules ===
--- 
+++ 
@@ -163,8 +163,6 @@
 		> $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf.tmp
 	mv $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf.tmp \
 		$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf
-	install -m755 b-exim4-daemon-light/build-$(buildname)/convert4r4 \
-		$(DEBIAN)/exim4-base/usr/sbin/exim_convert4r4
 	install -m755 \
 		b-exim4-daemon-light/build-$(buildname)/transport-filter.pl \
 		b-exim4-daemon-light/util/ratelimit.pl \
@@ -212,3 +210,5 @@
 		{ cd $(DEBIAN)/exim4-config/etc/exim4/conf.d/ && \
 		tar xf - ; }
 
+	install -m644 $(DEBIAN)/email-addresses $(DEBIAN)/exim4-config/etc/
+	install -m640 -oroot -groot $(DEBIAN)/passwd.client \
